Subject: bug#11819: Wishlist: enriched mode, handle links like in LibreOffice, copy and paste links from webpage

From: Lennart Borgman <[email-masked]>
Date: Sat, 30 Jun 2012 02:17:02 +0200

On Fri, Jun 29, 2012 at 10:25 PM, Enda <[email-masked]> wrote:
> I mean in a webpage, a link will be underlined and blue and say something
> like GNU website, however the link will be http://www.gnu.org. Say you copy
> such a piece of text from a webpage, you can paste in into LibreOffice
> Writer (or Microsoft Word) and the text will be GNU website and link will be
> http://www.gnu.org. Org-mode supports links like this using [[GNU
> website][http://www.gnu.org]] syntax, I would like it to be like this, and
> transparent to the user.

This can be supported by copying the HTML-link from the web page.
(There are plugin for different browsers to that.)

There is support for this in org-mode in nXhtml. It would be good if
that could be generalized a little bit and moved into Emacs.